<?php
defined('JPATH_BASE') or die();

jimport('joomla.form.formfield');
class JFormFieldCashbillInfo extends JFormField {

	var $type = 'cashbillInfo';

	protected function getInput() {
        $html = '';

		$url = "http://cashbill.pl/";
		$logo = '<img src="https://img.cashbill.pl/cb/logo/00-logotypy/c-cashbill_150x58_b.png" />';
		$instruction = "../plugins/j2store/payment_cashbill/payment_cashbill/Instrukcja Instalacji.pdf";
		$html .= '<li><div style="text-align: center;float:left;"><p><a target="_blank" href="' . $url . '"  >' . $logo . '</a></p></div></li>';
		$html .= '<li><div style="margin-top:20px;float:left;"><p><a  target="_blank" href="'.$instruction.'" ><img src="../plugins/j2store/payment_cashbill/payment_cashbill/pdf-icon.png" /> Instrukcja Instalacji</a></p><div></li>';
        $html .= '<li><label style="max-width:800px;">'.$this->checkVersion('1.2.0').'</label></li>';
		return $html;
	}
	
	public function checkVersion($version)
	{
	    $ch = curl_init();
	    curl_setopt($ch, CURLOPT_URL, "http://www.cashbill.pl/ajax/module-version-checker.php?cmd=info&module=J2Store");
	    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	    $response = curl_exec($ch);
	    curl_close($ch);
	
	    $response = json_decode($response);
	
	    if(empty($response))
	    {
	
	        return '';
	
	    }
	
	    if ($response->version == $version)
	    {
	        return '<p>Posiadasz najnowszą wersję modułu płatności CashBill dla '.$response->name.'</p>';
	    }
	
	    return '<p>Aktualnie posiadasz wersję ' . $version . ' jednak jest już dostępna nowsza wersja ' . $response->version . '. <br />Możesz ją pobrać korzystając z tego linku <a href="http://www.cashbill.pl/' . $response->link . '">moduł dla ' . $response->name . ' w wersji ' . $response->version . '</a><p>';
	}

}